{*******************************************************}
{                                                       }
{       Administración de puntos de venta               }
{                                                       }
{       Copyright (C) 2007 Rodax Software S.L.          }
{                                                       }
{*******************************************************}

unit uBizParametros;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDBSelectionList,
  schParametrosClient_Intf;


const
  BIZ_CENTROS = 'Client.Centros';
  BIZ_COLECCIONES = 'Client.Colecciones';  

type
  IBizCentros = interface(IListaCentros)
    ['{1B5A35E8-1243-4222-BB86-558574C0F2AE}']
  end;

  IBizColecciones = interface(IListaColecciones)
    ['{BF62BD66-69B4-4134-954E-724C7C65CB5C}']
  end;

  TBizCentrosDataTableRules = class(TListaCentrosDataTableRules, IBizCentros)
  end;

  TBizColeccionesDataTableRules = class(TListaColeccionesDataTableRules, IBizColecciones)
  end;

implementation

uses
  uDataModuleParametros;

{ TBizCentrosDataTableRules }

initialization
  RegisterDataTableRules(BIZ_CENTROS, TBizCentrosDataTableRules);
  RegisterDataTableRules(BIZ_COLECCIONES, TBizColeccionesDataTableRules);  

end.

